SDL_GetDefaultAssertionHandler(3)

NAME
SDL_GetDefaultAssertionHandler - Get the default assertion handler.

HEADER FILE
Defined in SDL3/SDL_assert.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_AssertionHandler SDL_GetDefaultAssertionHandler(void);

DESCRIPTION
This returns the function pointer that is called by default when an assertion is triggered. This is an internal function provided by SDL, that is used for assertions when SDL_SetAssertionHandler () hasn't been used to provide a different function.

RETURN VALUE
Returns the default SDL_AssertionHandler
 that is called when an assert triggers.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetAssertionHandler(3)